Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[PALUDIS] Support thread (current v. 0.26.*) - Part 4
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 14, 15, 16 ... 24, 25, 26  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Tue Apr 29, 2008 9:32 pm    Post subject: Reply with quote

creidiki wrote:
I'm pretty sure genlop doesnt work with paludis.


I know. plop does work. But that is only the second part. The first part is the more compicated thing...

Tobi
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
slycordinator
Advocate
Advocate


Joined: 31 Jan 2004
Posts: 3059
Location: Korea

PostPosted: Wed Apr 30, 2008 1:49 am    Post subject: Reply with quote

Finswimmer wrote:
creidiki wrote:
I'm pretty sure genlop doesnt work with paludis.


I know. plop does work. But that is only the second part. The first part is the more compicated thing...

Tobi


Do you mean the part where you mentioned "emerge --resume"?

If so, then the "--resume-command-template" option is your friend.

Code:
paludis --resume-command-template /path/to/file -i packagename


And if it fails or you hit ctrl+c, then /path/to/file will be a copy of the command to resume. Then you just make it executable and you can resume the command to your heart's content.
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Wed Apr 30, 2008 5:32 am    Post subject: Reply with quote

slycordinator wrote:
Finswimmer wrote:
creidiki wrote:
I'm pretty sure genlop doesnt work with paludis.


I know. plop does work. But that is only the second part. The first part is the more compicated thing...

Tobi


Do you mean the part where you mentioned "emerge --resume"?

If so, then the "--resume-command-template" option is your friend.

Code:
paludis --resume-command-template /path/to/file -i packagename


And if it fails or you hit ctrl+c, then /path/to/file will be a copy of the command to resume. Then you just make it executable and you can resume the command to your heart's content.


And if it does not fail, but I want to have a list of all packages which should be merged in the future? Since "emerge --resume -pv|genlop -p" gives me a estimated time how long the remaining packages will be compiling.
Thats exactly what I want to do with paludis. So I do not have a /path/to/file nor a "packagename?

Thanks
Tobi
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
phoenix_me
Apprentice
Apprentice


Joined: 24 Dec 2003
Posts: 281
Location: Lubliniec

PostPosted: Wed Apr 30, 2008 7:23 am    Post subject: Reply with quote

How can I prevent paludis from downgrade/upgrade my packages in following situaction.

I have in my system a few qt packages
The packages are from qt44dev overlay and were masked by package.mask and * keyword
I have unmask the packga and I add the * keyword
Code:
/etc/paludis/package_unmask.conf
=x11-libs/qt-4.4.1_pre20080420::qt44dev
=x11-libs/qt-core-4.4.1_pre20080420::qt44dev
=x11-libs/qt-assistant-4.4.1_pre20080420::qt44dev
=x11-libs/qt-opengl-4.4.1_pre20080420::qt44dev
=x11-libs/qt-dbus-4.4.1_pre20080420::qt44dev
=x11-libs/qt-gui-4.4.1_pre20080420::qt44dev
=x11-libs/qt-script-4.4.1_pre20080420::qt44dev
=x11-libs/qt-phonon-4.4.1_pre20080420::qt44dev
=x11-libs/qt-qt3support-4.4.1_pre20080420::qt44dev
=x11-libs/qt-sql-4.4.1_pre20080420::qt44dev
=x11-libs/qt-svg-4.4.1_pre20080420::qt44dev
=x11-libs/qt-test-4.4.1_pre20080420::qt44dev
=x11-libs/qt-webkit-4.4.1_pre20080420::qt44dev
=x11-libs/qt-xmlpatterns-4.4.1_pre20080420::qt44dev


/etc/paludis/keywords.conf
=x11-libs/qt-4.4.1_pre20080420::qt44dev *
=x11-libs/qt-core-4.4.1_pre20080420::qt44dev *
=x11-libs/qt-script-4.4.1_pre20080420::qt44dev *
=x11-libs/qt-dbus-4.4.1_pre20080420::qt44dev *
=x11-libs/qt-gui-4.4.1_pre20080420::qt44dev *
=x11-libs/qt-sql-4.4.1_pre20080420::qt44dev *
=x11-libs/qt-qt3support-4.4.1_pre20080420::qt44dev *
=x11-libs/qt-svg-4.4.1_pre20080420::qt44dev *
=x11-libs/qt-test-4.4.1_pre20080420::qt44dev *
=x11-libs/qt-assistant-4.4.1_pre20080420::qt44dev *
=x11-libs/qt-xmlpatterns-4.4.1_pre20080420::qt44dev *
=x11-libs/qt-webkit-4.4.1_pre20080420::qt44dev *
=x11-libs/qt-opengl-4.4.1_pre20080420::qt44dev *
=x11-libs/qt-phonon-4.4.1_pre20080420::qt44dev *


Then the packages were removed from qt44dev overlay and replaced by
Code:
pre20080429


I don't want to upgrade to newer version nor I don't want to downgrade the package.
But when doing
Code:
paluudis -ip world
Query error:
  * In program paludis -ip world:
  * When performing install action from command line:
  * When executing install task:
  * When building dependency list:
  * When adding PackageDepSpec 'x11-libs/qt-assistant':
  * All versions of 'x11-libs/qt-assistant' are masked. Candidates are:
    * x11-libs/qt-assistant-4.4.0_rc1:4::gentoo: Masked by keywords (~amd64 ~x86), repository (/usr/portage/profiles/package.mask: Ingmar Vanhassel <ingmar@gentoo.org> (10 Mar 2008) Masked for testing, various dependencies still need to be updated... Note that this version of Qt4 makes KDE 4.0.x roughly unusable.)
    * x11-libs/qt-assistant-4.4.1_pre20080429:4::qt44dev: Masked by keywords (~amd64 ~x86), repository (/usr/portage/profiles/package.mask: Ingmar Vanhassel <ingmar@gentoo.org> (10 Mar 2008) Masked for testing, various dependencies still need to be updated... Note that this version of Qt4 makes KDE 4.0.x roughly unusable.)

 * No unread news items found

the paludis is complain. Why it doesn't leave my current vesrion of package?

When I will change
Code:
=package-version:overlay *
to
Code:
package:overlay *
then paludis is trying to upgrade my qt set.
_________________
phoenix
___
myslenie ma przyszlosc
___
Back to top
View user's profile Send private message
wispoffates
n00b
n00b


Joined: 15 Jan 2008
Posts: 9

PostPosted: Wed Apr 30, 2008 7:46 am    Post subject: Reply with quote

I'm having a problem where Paludis is not correctly adding packages to the world spec.
For instance when I install radeonhd drivers with this command:

paludis -i xf86-video-radeonhd --continue-on-failure if-independent

World spec prior
Code:

FaithOfTheFallem ~ # paludis --query world
* world
    Packages:
            system
            app-admin/syslog-ng
            app-portage/cfg-update
            app-portage/eix
            app-portage/layman
            dev-util/git
            dev-util/subversion
            net-misc/dhcpcd
            sys-apps/paludis
            sys-boot/grub
            sys-process/vixie-cron
            sys-apps/coreutils
            net-print/cups
            x11-libs/qt
            app-portage/gentoolkit
            sys-apps/hal
            x11-misc/entrance
            www-client/mozilla-firefox
            dev-libs/xmlrpc-c
            app-admin/sudo
            net-im/pidgin
            sys-fs/ntfs3g
            sys-libs/pam
            sys-apps/shadow
            sys-auth/pambase
            net-mail/mailbase
            kde-base/kdebase-pam
            dev-util/cvs
            dev-lang/swi-prolog
            dev-libs/boost
            dev-python/epydoc
            net-misc/ntp
            dev-libs/libgcrypt
            qt-split
            sys-apps/einit
            sys-apps/einit-modules-xml
            sys-kernel/kamikaze-sources
            kde-misc/yakuake


The I run the above command which attempts to reinstall radeonhd and ati-drivers... ati-drivers fails for
a reason I have not bothered to solve but radeonhd installs fine.

Trimmed output:
Code:

Summary of failures:

* x11-drivers/ati-drivers-8.476:0::gentoo: failure

Total: 2 packages, 1 success, 0 skipped, 1 failure, 0 unreached


However the resulting world spec is
Code:

FaithOfTheFallem ~ # paludis --query world
* world
    Packages:
            system
            app-admin/syslog-ng
            app-portage/cfg-update
            app-portage/eix
            app-portage/layman
            dev-util/git
            dev-util/subversion
            net-misc/dhcpcd
            sys-apps/paludis
            sys-boot/grub
            sys-process/vixie-cron
            sys-apps/coreutils
            net-print/cups
            x11-libs/qt
            app-portage/gentoolkit
            sys-apps/hal
            x11-misc/entrance
            www-client/mozilla-firefox
            dev-libs/xmlrpc-c
            app-admin/sudo
            net-im/pidgin
            sys-fs/ntfs3g
            sys-libs/pam
            sys-apps/shadow
            sys-auth/pambase
            net-mail/mailbase
            kde-base/kdebase-pam
            dev-util/cvs
            dev-lang/swi-prolog
            dev-libs/boost
            dev-python/epydoc
            net-misc/ntp
            dev-libs/libgcrypt
            qt-split
            sys-apps/einit
            sys-apps/einit-modules-xml
            sys-kernel/kamikaze-sources
            kde-misc/yakuake


Note that it is the same as above... So why wasn't radeonhd added to the world spec when it succeded
This is causing me to essentially lose packages as they are not in the world spec and not a dependency and in such
a state will not update correctly with paludis -i1 world...

I wanted to pose this question here first before reporting a bug as possibly it is some mistake that I am making.

EDIT:
This is also causing problems with sets... since one package in kdebase-scm keeps failing the set as a whole is not added to the world spec
causing paludis --uninstal-unused to list a lot of packages I would like to keep.

EDIT 2:
I've fixed updates for now by using the everything set rather then the world set. So at least I'm not completely without a way to make sure all packages are up to date.
Back to top
View user's profile Send private message
creidiki
Apprentice
Apprentice


Joined: 23 Mar 2007
Posts: 283
Location: Varese (Italy)

PostPosted: Wed Apr 30, 2008 8:32 am    Post subject: Reply with quote

phoenix_me wrote:
How can I prevent paludis from downgrade/upgrade my packages in following situaction. [SNIPPETY SNIPPETY SNIP]
When I will change
Code:
=package-version:overlay *
to
Code:
package:overlay *
then paludis is trying to upgrade my qt set.

--dl-fall-back as-needed?
_________________
'((eINIT) (soor overlay))
Back to top
View user's profile Send private message
phoenix_me
Apprentice
Apprentice


Joined: 24 Dec 2003
Posts: 281
Location: Lubliniec

PostPosted: Wed Apr 30, 2008 11:56 am    Post subject: Reply with quote

creidiki wrote:
phoenix_me wrote:
How can I prevent paludis from downgrade/upgrade my packages in following situaction. [SNIPPETY SNIPPETY SNIP]
When I will change
Code:
=package-version:overlay *
to
Code:
package:overlay *
then paludis is trying to upgrade my qt set.

--dl-fall-back as-needed?


It works. I don't know what it exactly do "--dl-fall-back as-needed" but now I have the expected output
_________________
phoenix
___
myslenie ma przyszlosc
___
Back to top
View user's profile Send private message
creidiki
Apprentice
Apprentice


Joined: 23 Mar 2007
Posts: 283
Location: Varese (Italy)

PostPosted: Wed Apr 30, 2008 2:13 pm    Post subject: Reply with quote

phoenix_me wrote:
I don't know what it exactly do "--dl-fall-back as-needed"

Me either :D
_________________
'((eINIT) (soor overlay))
Back to top
View user's profile Send private message
slycordinator
Advocate
Advocate


Joined: 31 Jan 2004
Posts: 3059
Location: Korea

PostPosted: Wed Apr 30, 2008 2:35 pm    Post subject: Reply with quote

Finswimmer wrote:
And if it does not fail, but I want to have a list of all packages which should be merged in the future? Since "emerge --resume -pv|genlop -p" gives me a estimated time how long the remaining packages will be compiling.


If nothing ever failed and you never hit ctrl+c, then "emerge --resume -pv" will show nothing because there's nothing to resume.

edit:
And if you want paludis to do resuming you'll HAVE to sometime make a paludis command specifying --resume-command-template and feed it a file name. And it doesn't matter if you were using a "package name" or simply specifying world instead... the method for resuming works the same way.
Back to top
View user's profile Send private message
slycordinator
Advocate
Advocate


Joined: 31 Jan 2004
Posts: 3059
Location: Korea

PostPosted: Wed Apr 30, 2008 8:24 pm    Post subject: Reply with quote

creidiki wrote:
phoenix_me wrote:
I don't know what it exactly do "--dl-fall-back as-needed"

Me either :D


Code:
--dl-fall-back         When to fall back to installed packages
     as-needed-except-targets Where necessary, but not for target packages (default)
     as-needed            Where necessary, including for target packages
     never                Never
Back to top
View user's profile Send private message
creidiki
Apprentice
Apprentice


Joined: 23 Mar 2007
Posts: 283
Location: Varese (Italy)

PostPosted: Wed Apr 30, 2008 8:41 pm    Post subject: Reply with quote

--help/man don't really explain much. :P
_________________
'((eINIT) (soor overlay))
Back to top
View user's profile Send private message
slycordinator
Advocate
Advocate


Joined: 31 Jan 2004
Posts: 3059
Location: Korea

PostPosted: Wed Apr 30, 2008 8:44 pm    Post subject: Reply with quote

I believe what I posted IS from the man page. At least that's what was on gentoo-wiki saying it was the man page (since I'm not booted in gentoo).
Back to top
View user's profile Send private message
creidiki
Apprentice
Apprentice


Joined: 23 Mar 2007
Posts: 283
Location: Varese (Italy)

PostPosted: Wed Apr 30, 2008 8:54 pm    Post subject: Reply with quote

Yup. And its only technically explanatory. :wink:
_________________
'((eINIT) (soor overlay))
Back to top
View user's profile Send private message
phoenix_me
Apprentice
Apprentice


Joined: 24 Dec 2003
Posts: 281
Location: Lubliniec

PostPosted: Sat May 03, 2008 10:18 am    Post subject: Reply with quote

slycordinator wrote:
phoenix_me wrote:
I am trying to upgrade my "world", but I have query error:
Code:
Query error:
  * In program paludis -ip world:
  * When performing install action from command line:
  * When executing install task:
  * When building dependency list:
  * When adding PackageDepSpec 'mail-client/sylpheed-claws':

 * No unread news items found
  * No versions of 'mail-client/sylpheed-claws' are available.

I was using sylpheed-claws long long ago, while the name was changed to claws-mail I unistalled the sylpheed-claws and installed claws-mail. I don't know why paludis is complain about sylpheed-claws. Is it because of some dependencies still pointing to sylpheed-claws or maybe it is still somewhere in world file?

How can I
1.. check what's the reason of this error
2.. resolve it
3.. or just skip it?

It's probably that sylpheed-claws is still in your world file.
Code:
grep -n sylpheed-claws /var/db/pkg/world

Assuming your that is your world file, it'll show you if sylpheed-claws is in your world and which line number it's at.

Then assuming you need to remove line number 10 you do
Code:
sed -i -e '10d' /var/db/pkg/world

That was the answer - thanks (the sylpheed-claws was still in world)

creidiki wrote:
slycordinator wrote:
creidiki wrote:
phoenix_me wrote:
I don't know what it exactly do "--dl-fall-back as-needed"

Me either :D

Code:
--dl-fall-back         When to fall back to installed packages
     as-needed-except-targets Where necessary, but not for target packages (default)
     as-needed            Where necessary, including for target packages
     never                Never

Yup. And its only technically explanatory. :)


Agreed, doesn't say to much :)
_________________
phoenix
___
myslenie ma przyszlosc
___
Back to top
View user's profile Send private message
phoenix_me
Apprentice
Apprentice


Joined: 24 Dec 2003
Posts: 281
Location: Lubliniec

PostPosted: Sat May 03, 2008 10:22 am    Post subject: Reply with quote

I was using paludis to remove old gcc-3.3.6 and gcc-3.4.6. The unmerge was sucessfull, no error messages, no complains. But paludis left the old gcc profiles. So when I type:
Code:
gcc-config -l
 [1] i686-pc-linux-gnu-3.3.6
 [2] i686-pc-linux-gnu-3.4.6
 [3] i686-pc-linux-gnu-4.2.3
 [4] i686-pc-linux-gnu-4.3.0 *

The 3.3.6 and 3.4.6 are still there.
As far as I remeber there was no such problem with portage.
Is it a bug in paludis or removing a gcc profile is a separate process which portage was taking care of and paludis is not?
How can I remove the old profiles?
_________________
phoenix
___
myslenie ma przyszlosc
___
Back to top
View user's profile Send private message
phoenix_me
Apprentice
Apprentice


Joined: 24 Dec 2003
Posts: 281
Location: Lubliniec

PostPosted: Sat May 03, 2008 3:00 pm    Post subject: Reply with quote

I am looking for some equivalents in paludis. Particulary I am looking for:
Code:
FETCHCOMMAND
and
Code:
parallel-fetch

_________________
phoenix
___
myslenie ma przyszlosc
___
Back to top
View user's profile Send private message
Zougloub
n00b
n00b


Joined: 14 Dec 2007
Posts: 30

PostPosted: Sat May 03, 2008 5:05 pm    Post subject: Reply with quote

In paludis, FETCHCOMMAND is handled by fetcher hooks.
If you put your fetcher hooks in /etc/, they will override the default ones.

You can perform parallel fetching by running paludis -if stuff in a window, and paludis -i stuff in an other.

Eselect compiler entries are in /etc/, that's why they aren't removed.
Check /etc/eselect/compiler directory.
Back to top
View user's profile Send private message
loftwyr
l33t
l33t


Joined: 29 Dec 2004
Posts: 970
Location: 43°38'23.62"N 79°27'8.60"W

PostPosted: Sat May 03, 2008 5:33 pm    Post subject: Reply with quote

an example for the fetcher hook is to place a file name "dohttp" in the /usr/share/paludis/fetchers with the following in it:
Code:
/usr/bin/axel -a -o $2 $1


make it executable (chmod +x dohttp)

that will replace the default use of wget for axel.
_________________
My emerge --info
Have you run revdep-rebuild lately? It's in gentoolkit and it's worth a shot if things don't work well.
Celebrating 5 years of Gentoo-ing.
Back to top
View user's profile Send private message
lucianolev
n00b
n00b


Joined: 19 Sep 2006
Posts: 31

PostPosted: Sun May 04, 2008 12:44 am    Post subject: Reply with quote

Hi!
I've switch to Paludis a few days ago. The more I learn about it, the more I like it, so, great job! :D
I've a few questions regarding paludis usage and portage:

1. With portage, I use dispatch-conf and eclean utilities, can I still use them? if not, is there a replacement?
2. Is there a way to prevent "small updates" (by this I mean updates which only change "-r" version parameter) when updating world? It's annoying to have to recompile and rebuild kdelibs-3.5.9-r3 when I've kdelibs-3.5.9-r2 installed.
3. Is it safe to remove portage and related tools after switching completely to paludis?

Thanks for your time.
Back to top
View user's profile Send private message
slycordinator
Advocate
Advocate


Joined: 31 Jan 2004
Posts: 3059
Location: Korea

PostPosted: Sun May 04, 2008 1:23 am    Post subject: Reply with quote

In response to #3:
Most likely, you CAN'T remove portage.

Why? There are lots of things in the tree that have a hard DEPEND on sys-apps/portage that don't necessarily need it.

Like if you install java, the java2-vm eclass depends on portage.

In fact, if you set up paludis then do "paludis --uninstall sys-apps/portage" it'll show you the stuff you have installed that depends on it.

Plus, I believe portage is included in every system profile.

edit:
And in response to #1
If you keep sys-apps/portage you can keep on using dispatch-conf all you want but if you do get rid of portage there is a package called etc-paludis included in the paludis-extras repository.

And paludis has a replacement for eclean. If you install paludis with USE=ruby then in /usr/share/paludis/ruby/demos there should be a file called "find-unused-distfiles" or something similar.

So to get a list of your old/unused distfiles you do
Code:
ruby /usr/share/paludis/ruby/demos/find-unused-distfiles


And if you just want to remove them you'd do
Code:
rm `ruby /usr/share/paludis/ruby/demos/find-unused-distfiles`


Last edited by slycordinator on Sun May 04, 2008 2:27 am; edited 1 time in total
Back to top
View user's profile Send private message
loftwyr
l33t
l33t


Joined: 29 Dec 2004
Posts: 970
Location: 43°38'23.62"N 79°27'8.60"W

PostPosted: Sun May 04, 2008 2:23 am    Post subject: Reply with quote

#1 yes and no. there are some scripts that duplicate eclean, you can search for them in the forums. Dispatch-conf can be replaced with cfg-update which seems to work well with paludis (and has a paludis flag)
_________________
My emerge --info
Have you run revdep-rebuild lately? It's in gentoolkit and it's worth a shot if things don't work well.
Celebrating 5 years of Gentoo-ing.
Back to top
View user's profile Send private message
Berniyh
l33t
l33t


Joined: 07 Jun 2006
Posts: 677

PostPosted: Sun May 04, 2008 10:16 am    Post subject: Reply with quote

slycordinator wrote:
And if you just want to remove them you'd do
Code:
rm `ruby /usr/share/paludis/ruby/demos/find-unused-distfiles`

[strike]BAD, VERY BAD!

Don't do that.

Here is one of the reasons:
Code:
paludis --owner /usr/include/qt4/Gentoo/gentoo-qconfig.h
* /usr/include/qt4/Gentoo/gentoo-qconfig.h


The above command would remove this file and break your Qt installation.
(If you have it installed.)[/strike]

EDIT: Sorry, I misread, I was talking about find_unmanaged_files.rb not find_unused_distfiles.rb.
So please ignore the above.
Back to top
View user's profile Send private message
Stefano Crocco
Apprentice
Apprentice


Joined: 28 Sep 2006
Posts: 156

PostPosted: Sun May 04, 2008 8:34 pm    Post subject: Reply with quote

I'm new to paludis, having switched a cuple of days ago. I managed to setup plaudis correctly (at least, so it seems), but I have a couple of issues I couldn't solve.

  • how can I have inquisitio search only the name of the packages, like esearch and eix, instead of name and description?
  • can the -K and -r options of inquisitio be used together? If so, how? I assumed I could use the command
    Code:

    inquisitio -s '.*' -m pcre -r kde4-experimental -K installed

    to display all installed packages from the kde4-experimental repository, but it didn't work and showed no packages. Removing the -r option correctly displayed all the installed packages, while removing the -K option correctly displayed all the packages in the repository. Is there anything missing, or these two options can't be combined?


Thanks in advance
_________________
Stefano
Back to top
View user's profile Send private message
cerebro84
n00b
n00b


Joined: 20 Aug 2005
Posts: 64

PostPosted: Sun May 04, 2008 9:44 pm    Post subject: Reply with quote

Everytime I try to compile something, it triggers some updates that requires java-config and there's some problem with it:

Code:
  * When adding run dependencies as post dependencies:
  * When adding PackageDepSpec '>=dev-java/java-config-2.0.33-r1':
  * When finding SLOT for 'dev-java/java-config-2.1.6::installed':
  * When validating slot name '':
  * Name '' is not a valid slot name (paludis::SlotNameError)


Tried deleting the ebuild and masking, but nothing. Paludis refuses to continue.


Last edited by cerebro84 on Sun May 04, 2008 10:01 pm; edited 1 time in total
Back to top
View user's profile Send private message
slycordinator
Advocate
Advocate


Joined: 31 Jan 2004
Posts: 3059
Location: Korea

PostPosted: Sun May 04, 2008 9:59 pm    Post subject: Reply with quote

The output shows that the problem has nothing to do with the ebuild in the tree and everything to do with the installed package in /var/db/pkg

So what you should do is
Code:
paludis -i1 =dev-java/java-config-2.1.6

That should fix your slot issue.
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 14, 15, 16 ... 24, 25, 26  Next
Page 15 of 26

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum